# application

# embedded server

# ######################################## [mysql] start ########################################

spring.datasource.url=jdbc:mysql://120.77.47.114:8089/uniorder_test_20211018?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=9gB2Qrmo

# ######################################## [mysql]   end ########################################

# ######################################## [redis] start ########################################

spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=jR1U5xBcjCct9l66
spring.redis.timeout=60000ms

spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8

# ######################################## [redis]   end ########################################

# ######################################## [zookeeper] start ########################################

zookeeper.servers=192.168.0.103:2181
zookeeper.lock_path=/lock/
zookeeper.session_timeout_ms=60000
zookeeper.connection_timeout_ms=5000
zookeeper.retry_count=5
zookeeper.elapsed_time_ms=1000

# ######################################## [zookeeper]   end ########################################

# ######################################## [dubbo] start ########################################

#dubbo.registry.protocol=zookeeper
#dubbo.registry.address=192.168.0.103:2181
#
## Dubbo Protocol
#dubbo.application.name=consumer
#
#dubbo.protocol.name=dubbo
#dubbo.protocol.port=20880
#dubbo.protocol.payload=52428800
#dubbo.provider.retries=0
#dubbo.provider.timeout=30000

# ######################################## [dubbo]   end ########################################

# ######################################## [kafka] start ########################################

# 指定kafka 代理地址，可以多个
#本地开发
spring.kafka.bootstrap-servers=192.168.0.103:9092
spring.kafka.listener.missing-topics-fatal=false
#测试服务器
#spring.kafka.bootstrap-servers=47.107.240.183:9092,112.74.48.214:9092,120.79.80.138:9092
#正式
#spring.kafka.bootstrap-servers=39.108.55.24:9092

#=============== consumer  =======================
#### kafka配置消费者 start ####
# 指定kafka 默认消费者group id --> 由于在kafka中，同一组中的consumer不会读取到同一个消息，依靠groud.id设置组名
spring.kafka.consumer.group-id=superdesk-uniorder-executor-instance
#### kafka配置消费者   end ####

# ######################################## [kafka]   end ########################################


# ######################################## [xxl-job] start ########################################




### xxl-job admin address list, such as "http://address" or "http://address01,http://address02"
xxl.job.admin.addresses=http://127.0.0.1:18168/jobadmin
### xxl-job, access token
xxl.job.accessToken=6f970743bfccc4633cffa89791f1392d
### xxl-job executor appname
xxl.job.executor.appname=superdesk-uniorder-executor
### xxl-job executor registry-address: default use address to registry , otherwise use ip:port if address is null
xxl.job.executor.address=
### xxl-job executor server-info
xxl.job.executor.ip=
xxl.job.executor.port=29999
### xxl-job executor log-path
xxl.job.executor.logpath=./.logs/superdesk-uniorder-executor/xxljob
### xxl-job executor log-retention-days
xxl.job.executor.logretentiondays=30
xxl.job.executor.test=0

# ######################################## [xxl-job]   end ########################################

# ######################################## 配置 todo 整合 start ########################################
uniorder.setting.enabled=true
# 积分结算-未对账流水-创建对账单 对账单存在 未完成/售后中 的订单流水，是否能创建对账单 是-允许 否-不允许
uniorder.setting.accounting.score.customer.opCreate.insist_on_able=false
# 供应商结算-京东对账-导入账单 比对订单时 是否受限于选择的供应商订单 是-只能是选择的供应商;否-全部供应商
uniorder.setting.thirdpart.jd.accounting.OpCompareOrderAndCheckUp.is_limit_sale=true

excel.export.enabled=true
excel.export.path.root=/data/wwwroot/ordertestatt.octlife.cn/tmp
excel.export.path.template=/template
excel.export.path.storage=/_storage


goods.transport.fiscal_code=3040409030000000000
goods.transport.tax_code=3040409030000000000
goods.transport.tax_rate=6
# ######################################## 配置 todo 整合   end ########################################



# 关于调用第三方Api
retrofit.pool.test1.max-idle-connections=3
retrofit.pool.test1.keep-alive-second=100
retrofit.disable-void-return-type=false
retrofit.global-converter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BasicTypeConverterFactory
retrofit.global-converter-factories[1]=retrofit2.converter.jackson.JacksonConverterFactory
retrofit.global-call-adapter-factories[0]=com.github.lianjiatech.retrofit.spring.boot.core.BodyCallAdapterFactory
retrofit.global-call-adapter-factories[1]=com.github.lianjiatech.retrofit.spring.boot.core.ResponseCallAdapterFactory
retrofit.log.enable=true
retrofit.log.logging-interceptor=com.github.lianjiatech.retrofit.spring.boot.interceptor.DefaultLoggingInterceptor
retrofit.log.global-log-level=info
retrofit.log.global-log-strategy=body
retrofit.retry.enable-global-retry=true
retrofit.retry.global-interval-ms=1
retrofit.retry.global-max-retries=1
retrofit.retry.global-retry-rules[0]=response_status_not_2xx
retrofit.retry.global-retry-rules[1]=occur_io_exception
retrofit.retry.retry-interceptor=com.github.lianjiatech.retrofit.spring.boot.retry.DefaultRetryInterceptor
retrofit.degrade.enable=true
retrofit.degrade.degrade-type=sentinel
retrofit.degrade.resource-name-parser=com.github.lianjiatech.retrofit.spring.boot.degrade.DefaultResourceNameParser
retrofit.global-connect-timeout-ms=5000
retrofit.global-read-timeout-ms=5000
retrofit.global-write-timeout-ms=5000
retrofit.global-call-timeout-ms=0


# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://wx.palmnest.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://119.23.39.237/avicfile/ordermanger/h5/#/


# 超级前台 福利商城 生产环境
test.superdeskmall.flsc.baseUrl=https://fm.superdesk.cn/
test.superdeskmall.flsc.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flsc.accessKeyId=root
test.superdeskmall.flsc.accessKeySecret=123456

# 侨城汇 福利商城 生产环境
test.superdeskmall.flscqch.baseUrl=https://welfarepre.octlife.cn/
test.superdeskmall.flscqch.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.flscqch.accessKeyId=root
test.superdeskmall.flscqch.accessKeySecret=123456

# 超级前台 企业内购 生产环境
test.superdeskmall.qyng.baseUrl=https://bm.superdesk.cn/
test.superdeskmall.qyng.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdeskmall.qyng.accessKeyId=root
test.superdeskmall.qyng.accessKeySecret=123456

# 侨城汇 统一订单 生产环境
test.superdesk.uniorder.octlife.baseUrl=https://uniorderapi.octlife.cn/
#test.superdesk.uniorder.octlife.baseUrl=https://ordertest.octlife.cn/
#test.superdesk.uniorder.octlife.baseUrl=http://192.168.6.223:8089/
test.superdesk.uniorder.octlife.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
# Native/ASCII
# 45 广州康柏特贸易有限公司 \u5e7f\u5dde\u5eb7\u67cf\u7279\u8d38\u6613\u6709\u9650\u516c\u53f8
# 1 前台优选 \u524d\u53f0\u4f18\u9009
test.superdesk.uniorder.octlife.accessKeyId=1
test.superdesk.uniorder.octlife.accessKeySecret=\u524d\u53f0\u4f18\u9009
#test.superdesk.uniorder.octlife.accessKeyId=45
#test.superdesk.uniorder.octlife.accessKeySecret=\u5e7f\u5dde\u5eb7\u67cf\u7279\u8d38\u6613\u6709\u9650\u516c\u53f8

# 超级前台 服务之窗 测试环境
test.superdesk.cloud.opendata.baseUrl=http://wx.palmnest.com/
test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f

# 超级前台 服务之窗 生产环境
#test.superdesk.cloud.opendata.baseUrl=http://superdesk.avic-s.com/
#test.superdesk.cloud.opendata.accessToken=fp3PTngM5vdvLupZVRHkE2UeWl2u8a2V
#test.superdesk.cloud.opendata.accessKeyId=fwzcFiCI7Ulg854dOufU
#test.superdesk.cloud.opendata.accessKeySecret=b8c4d9d706c71a08e2230d30f4b713720cb1be0f


#https://eitest.szhtxx.com/dzfpTest/electronicInvoiceFunction
#https://eitest.szhtxx.com:10443/dzfpTest/electronicInvoiceFunction

# szhtxx.electronicInvoice 测试环境
#openapi.call.thirdpart.szhtxx.electronicInvoice.enabled=true
#openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://eitest.szhtxx.com/dzfpTest/
#openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=1031530698uNeAnogkN8kkbppABrnF+Q==
#openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=440301999999980
#openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=1031530698uNeAnogkN8kkbppABrnF+Q==

openapi.call.thirdpart.szhtxx.electronicInvoice.enabled=true
openapi.call.thirdpart.szhtxx.electronicInvoice.baseUrl=https://eitest.szhtxx.com:10443/dzfpTest/
openapi.call.thirdpart.szhtxx.electronicInvoice.accessToken=1031530698uNeAnogkN8kkbppABrnF+Q==
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeyId=440301999999980
openapi.call.thirdpart.szhtxx.electronicInvoice.accessKeySecret=1031530698uNeAnogkN8kkbppABrnF+Q==


qchjc.push.enable=true
qchjc.domain=http://139.9.216.19:8826

qchjc.customer.makeInvoiceStatusSyncApi=/mall/reconciliationBuyerInvoice/InvoiceStatusSync
qchjc.customer.receivePaymentStatusSyncApi=/mall/reconciliationBuyerInvoice/recPaymentStatusSync
qchjc.customer.statementCancelApi=/mall/reconciliationBuyerInvoice/cancel
qchjc.customer.receiveInvoiceStatusSyncApi=/mall/receiveInvoiceStatusSyncApi

qchjc.supplier.receiveInvoiceStatusSyncApi=/mall/reconciliationSupplier/recInvoiceStatusSync
qchjc.supplier.paymentStatusSyncApi=/mall/reconciliationSupplier/paymentStatusSync
qchjc.supplier.statementCancelApi=/mall/reconciliationSupplier/cancel












